import Utils from "~/utils"

/**
* Letdav Check规则
*/
let checkObj = {
    "liaall.misamt"                      :null,
    "liaall.limmod.limpts.oth.pts.extkey"                      :null,
    "liaall.limmod.ownref"                      :null,
    "bedgrp.apl.pts.nam"                      :null,
    "ledgrp.beb.adrelc"                      :null,
    "bedgrp.rec.totamt"                      :null,
    "ledgrp.beb.pts.extkey"                      :null,
    "bedgrp.oth.namelc"                      :null,
    "liaall.limmod.ecifno"                      :null,
    "bedgrp.prb.pts.nam"                      :null,
    "bedgrp.rmb.adrelc"                      :null,
    "bedgrp.rec.advtyp"                      :null,
    "bedgrp.oth.adrelc"                      :null,
    "bedgrp.acb.namelc"                      :null,
    "bedgrp.rmb.namelc"                      :null,
    "bedgrp.prb.namelc"                      :null,
    "liaall.limmod.limpts.oth.pts.nam"                      :null,
    "setmod.dspflg"                      :null,
    "bedgrp.acb.adrelc"                      :null,
    "bedgrp.blk.docdis"                      :null,
    "ledgrp.beb.namelc"                      :null,
    "bedgrp.prb.adrelc"                      :null,
    "bedgrp.acb.pts.adrblk"                      :null,
    "liaall.limmod.limpts.wrk.pts.nam"                      :null,
    "bedgrp.acb.pts.extkey"                      :null,
    "liaall.limmod.limpts.wrk.pts.extkey"                      :null,
    "bedgrp.prb.pts.extkey"                      :null,
    "bedgrp.rmb.pts.extkey"                      :null,
    "mtabut.coninf.conexedat"                      :null,
    "bedgrp.rec.advdat"                      :null,
    "bedgrp.rec.docprbrol"                      :null,
    "bedgrp.oth.pts.adrblk"                      :null,
    "liaall.limmod.limpts.nonrevflg1"                      :null,
    "bedgrp.prb.pts.adrblk"                      :null,
    "ledgrp.beb.pts.adrblk"                      :null,
    "bedgrp.rec.rcvdat"                      :null,
    "bedgrp.oth.pts.extkey"                      :null,
    "bedgrp.rmb.pts.adrblk"                      :null,
    "setmod.docamt"                      :null,
    "bedgrp.rec.disdat"                      :null,
    "bedgrp.cbs.max.amt"                      :null,
    "bedgrp.iss.pts.nam"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

