import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Pub from "../Public"   //引入公共面板

export default class Letdav{
    constructor () {
        this.data = {
          setmod: new Pub().data.Setmod,  //帐务、分录 加入公共面板账务字段
          mtabut: new Pub().data.Mtabut,   //附言
          trnmod: new Pub().data.Trnmod,   //面函 加入公共面板面函的字段
          liaall: new Pub().data.Liaall,//表外
          letapll1blk:"",
          letapll2blk:"",

						betp:{
							ledget:{
								sdamod:{
									dadsnd:"",			//  Drag  Drop Sender		.betp.ledget.sdamod.dadsnd
									seainf:"",			//  		.betp.ledget.sdamod.seainf
								},
							},
							aammod:{
								addamtflg:"",			//  Add. Amount		.betp.aammod.addamtflg
							},
							recget:{
								sdamod:{
									seainf:"",			//  		.betp.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.betp.recget.sdamod.dadsnd
								},
							},
							prbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.betp.prbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.betp.prbp.ptsget.sdamod.dadsnd
									},
								},
							},
							setnowflg:"",			//  Register to Send and Settle Documents		.betp.setnowflg
							dcrflg:"",			//  Register to Handle Discrepancies		.betp.dcrflg
							oth:{
								pts:new Pts().data,
							},
							othp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.betp.othp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.betp.othp.ptsget.sdamod.dadsnd
									},
								},
							},
							acbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.betp.acbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.betp.acbp.ptsget.sdamod.dadsnd
									},
								},
							},
							rmbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.betp.rmbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.betp.rmbp.ptsget.sdamod.dadsnd
									},
								},
							},
							bebp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.betp.bebp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.betp.bebp.ptsget.sdamod.dadsnd
									},
								},
							},
						},
						ledgrp:{
							rec:{
								ownref:"",			//  Reference		.ledgrp.rec.ownref
								nam:"",			//  摘要		.ledgrp.rec.nam
								revflg:"",			//  Revolving Flag		.ledgrp.rec.revflg
								avbby:"",			//  Available by [AVBBY0]		.ledgrp.rec.avbby
								redclsflg:"",			//  Red/Green Clause		.ledgrp.rec.redclsflg
								opndat:"",			//  Date Issued		.ledgrp.rec.opndat
								shpdat:"",			//  Shipment Date		.ledgrp.rec.shpdat
								expdat:"",			//  Date/Place of Expiry		.ledgrp.rec.expdat
								expplc:"",			//  Date/Place of Expiry		.ledgrp.rec.expplc
								lcrtyp:"",			//  Form of L/C		.ledgrp.rec.lcrtyp
							},
							cbs:{
								nom1:{
									cur:"",			//  L/C Amount		.ledgrp.cbs.nom1.cur
									amt:"",			//  Balance		.ledgrp.cbs.nom1.amt
								},
								opn1:{
									cur:"",			//  信用证余额		.ledgrp.cbs.opn1.cur
									amt:"",			//  Balance		.ledgrp.cbs.opn1.amt
								},
							},
							avbnam:"",			//  指定银行		.ledgrp.avbnam
							beb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.ledgrp.beb.namelc
								adrelc:"",			//  地址		.ledgrp.beb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.ledgrp.beb.dbfadrblkcn
							},
						},
						bedgrp:{
							apl:{
								pts:new Pts().data,
							},
							iss:{
								pts:new Pts().data,
							},
							prb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bedgrp.prb.namelc
								adrelc:"",			//  地址		.bedgrp.prb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bedgrp.prb.dbfadrblkcn
							},
							rec:{
								ownref:"",			//  Document Reference		.bedgrp.rec.ownref
								doctypcod:"",			//  Document Type		.bedgrp.rec.doctypcod
								rcvdat:"",			//  Received on		.bedgrp.rec.rcvdat
								advtyp:"",			//  Type of Advice		.bedgrp.rec.advtyp
								advdat:"",			//  Payment advised on		.bedgrp.rec.advdat
								disdat:"",			//  Discrep. advised on		.bedgrp.rec.disdat
								docprbrol:"",			//  Presented by		.bedgrp.rec.docprbrol
								nam:"",			//  Name		.bedgrp.rec.nam
								payrol:"",			//  Payer		.bedgrp.rec.payrol
								totcur:"",			//  Total Amount Claimed		.bedgrp.rec.totcur
								totamt:"",			//  Total Amount to be Paid		.bedgrp.rec.totamt
								totdat:"",			//  Date to be Paid		.bedgrp.rec.totdat
							},
							oth:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bedgrp.oth.namelc
								adrelc:"",			//  地址		.bedgrp.oth.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bedgrp.oth.dbfadrblkcn
							},
							cbs:{
								max:{
									cur:"",			//  单据金额		.bedgrp.cbs.max.cur
									amt:"",			//  Balance		.bedgrp.cbs.max.amt
								},
								opn2:{
									cur:"",			//  附加金额		.bedgrp.cbs.opn2.cur
								},
								max2:{
									amt:"",			//  附加金额		.bedgrp.cbs.max2.amt
								},
							},
							blk:{
								chaded:"",			//  Charges Deducted		.bedgrp.blk.chaded
								chaadd:"",			//  Charges Added		.bedgrp.blk.chaadd
								docdis:"",			//  不符点		.bedgrp.blk.docdis
								docdisflg:"",			//  Discrepancies modified		.bedgrp.blk.docdisflg
								nartxt77a:"",			//  Narrative TAG 77A of Incoming MT754		.bedgrp.blk.nartxt77a
							},
							acb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bedgrp.acb.namelc
								adrelc:"",			//  地址		.bedgrp.acb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bedgrp.acb.dbfadrblkcn
							},
							rmb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.bedgrp.rmb.namelc
								adrelc:"",			//  地址		.bedgrp.rmb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.bedgrp.rmb.dbfadrblkcn
							},
						},
						// liaall:{
						// 	misamt:"",			//  Amount not yet assigned		.liaall.misamt
						// 	concur:"",			//  External Booking Amount		.liaall.concur
						// 	outpct:"",			//  Sight Amount Percentage		.liaall.outpct
						// 	outamt:"",			//  Sight Amount		.liaall.outamt
						// 	exttotoldamt:"",			//  Old Amount booked externally		.liaall.exttotoldamt
						// 	exttotamt:"",			//  Total booking amount external assinged		.liaall.exttotamt
						// 	limmod:{
						// 		limpts:{
						// 			wrklab:"",			//  Label		.liaall.limmod.limpts.wrklab
						// 			othlab:"",			//  Label		.liaall.limmod.limpts.othlab
						// 			othlabss:"",			//  Label		.liaall.limmod.limpts.othlabss
						// 			wrk:{
						// 				pts:new Pts().data,
						// 			},
						// 			oth:{
						// 				pts:new Pts().data,
						// 			},
						// 			lsh:"",			//  合同流�'号		.liaall.limmod.limpts.lsh
						// 			nonrevflg1:"",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg1
						// 			pfcod1:"",			//  合同流�'号		.liaall.limmod.limpts.pfcod1
						// 			nonrevflg2:"",			//  Flag to Mark Non-revolving Limits		.liaall.limmod.limpts.nonrevflg2
						// 			pfcod2:"",			//  合同流�'号		.liaall.limmod.limpts.pfcod2
						// 		},
						// 		wrkp:{
						// 			ptsget:{
						// 				sdamod:{
						// 					dadsnd:"",			//  Drag  Drop Sender		.liaall.limmod.wrkp.ptsget.sdamod.dadsnd
						// 					seainf:"",			//  		.liaall.limmod.wrkp.ptsget.sdamod.seainf
						// 				},
						// 			},
						// 		},
						// 		othp:{
						// 			ptsget:{
						// 				sdamod:{
						// 					dadsnd:"",			//  Drag  Drop Sender		.liaall.limmod.othp.ptsget.sdamod.dadsnd
						// 					seainf:"",			//  		.liaall.limmod.othp.ptsget.sdamod.seainf
						// 				},
						// 			},
						// 		},
						// 		ownref:"",			//  国结业务编号		.liaall.limmod.ownref
						// 		comamt:"",			//  业务余额		.liaall.limmod.comamt
						// 		ccvamt:"",			//  保证金余额		.liaall.limmod.ccvamt
						// 		ecifno:"",			//  ECIFNO		.liaall.limmod.ecifno
						// 	},
						// },
						// setmod:{
						// 	docamttyplab:"",			//  settled amount description as label		.setmod.docamttyplab
						// 	retmsg:"",			//  Label showing Retry overflow condition		.setmod.retmsg
						// 	ref:"",			//  our reference		.setmod.ref
						// 	doccur:"",			//  document currency		.setmod.doccur
						// 	docamt:"",			//  document amount		.setmod.docamt
						// 	dspflg:"",			//  Type of settlement		.setmod.dspflg
						// 	xreflg:"",			//  Recalculate Rates		.setmod.xreflg
						// 	setglg:{
						// 		labdspflg:"",			//  Label for Type of Settlement		.setmod.setglg.labdspflg
						// 	},
						// 	zmqacclab:"",			//  主�'�号LABEL		.setmod.zmqacclab
						// 	zmqacc:"",			//  自�'�区主�'�号		.setmod.zmqacc
						// },
						// mtabut:{
						// 	coninf:{
						// 		oitinf:{
						// 			labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
						// 			oit:{
						// 				inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
						// 				inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
						// 			},
						// 		},
						// 		oitset:{
						// 			labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
						// 			oit:{
						// 				inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
						// 				inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
						// 			},
						// 		},
						// 		conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
						// 		usr:{
						// 			extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
						// 		},
						// 	},
						// },
						// trnmod:{
						// 	trndoc:{
						// 		advlabel:"",			//  ADVLABEL		.trnmod.trndoc.advlabel
						// 		amdnam:"",			//  AMDNAM		.trnmod.trndoc.amdnam
						// 		advdoc:"",			//  国内证通知书		.trnmod.trndoc.advdoc
						// 		advnam:"",			//  国内证落款		.trnmod.trndoc.advnam
						// 		amdapl:"",			//  修改申请人名称		.trnmod.trndoc.amdapl
						// 		doclbl:"",			//  Lable for CONDOCSTM		.trnmod.trndoc.doclbl
						// 		doctrestm:"",			//  Document tree		.trnmod.trndoc.doctrestm
						// 		shwinc:"",			//  Show Incoming Messages		.trnmod.trndoc.shwinc
						// 		shwout:"",			//  Show Outgoing Messages		.trnmod.trndoc.shwout
						// 		condocstm:"",			//  Connected Documents		.trnmod.trndoc.condocstm
						// 		rcvatt:{
						// 			seainf:"",			//  		.trnmod.trndoc.rcvatt.seainf
						// 		},
						// 		filrecv:"",			//  File Receiver		.trnmod.trndoc.filrecv
						// 	},
						// },
						pageId: ""			// ctx的key
				}
    }
}